@echo off
echo OCCURS with level 01, 66, 77, and 88
copy /y occurs.1 prog.cob > nul
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob > comp.out 2>result
if not errorlevel 1 goto err
diff occurs.2 result
if errorlevel 1 goto err

echo OCCURS with variable-occurrence data item
copy /y occurs.3 prog.cob > nul
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob > comp.out 2>result
if not errorlevel 1 goto err
diff occurs.4 result
if errorlevel 1 goto err

echo Nested OCCURS clause
copy /y occurs.5 prog.cob > nul
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob > comp.out 2>result
if errorlevel 1 goto err
diff occurs.6 result
if errorlevel 1 goto err

echo OCCURS DEPENDING followed by another field
copy /y occurs.7 prog.cob > nul
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob > comp.out 2>result
if not errorlevel 1 goto err
diff occurs.8 result
if errorlevel 1 goto err

echo OCCURS DEPENDING without TO clause
copy /y occurs.9 prog.cob > nul
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob > comp.out 2>result
if not errorlevel 1 goto err
diff occurs.10 result
if errorlevel 1 goto err

echo OCCURS TEST PASSED
del prog.* result comp.out
goto end

:err
	echo OCCURS TEST FAILED
	pause
:end
